net.sf.jasperreports.engine.util

## Class CompositeClassloader

- java.lang.Object
- - java.lang.ClassLoader
  - - net.sf.jasperreports.engine.util.CompositeClassloader

-     public class CompositeClassloader
      extends java.lang.ClassLoader

  A composite classloader that has a parent classloader and an alternate classloader.

  When resolving classes, the parent classloader is consulted first, and if that classloader cannot find the class, the alternate/second classloader is asked to resolve the class.

  Version:
    $Id: CompositeClassloader.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeClassloader(java.lang.ClassLoader parent, java.lang.ClassLoader fallback)` Creates a composite classloader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Class<?>` | `findClass(java.lang.String name)`
    `protected java.net.URL` | `findResource(java.lang.String name)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeClassloader

          public CompositeClassloader(java.lang.ClassLoader parent,
                              java.lang.ClassLoader fallback)

      Creates a composite classloader.
      Parameters:
        `parent` - the parent classloader
        `fallback` - the alternate classloader

  - ### Method Detail

    - #### findClass

          protected java.lang.Class<?> findClass(java.lang.String name)
                                          throws java.lang.ClassNotFoundException

      Overrides:
        `findClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### findResource

          protected java.net.URL findResource(java.lang.String name)

      Overrides:
        `findResource` in class `java.lang.ClassLoader`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com